# class REXML::XPathNode

@private

### Attributes

context[R]
raw_node[R]

### Public Class Methods

new(node, context=nil) click to toggle source

    # File lib/rexml/xpath_parser.rb, line 921
    def initialize(node, context=nil)
      if node.is_a?(XPathNode)
        @raw_node = node.raw_node
      else
        @raw_node = node
      end
      @context = context || {}
    end

### Public Instance Methods

position() click to toggle source

    # File lib/rexml/xpath_parser.rb, line 930
    def position
      @context[:position]
    end